Bug 243767 - NetworkManager believes tg3 interface is up even though cable is unplugged
Summary: NetworkManager believes tg3 interface is up even though cable is unplugged
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 19:17 UTC by Benny Amorsen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 10:59:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cut from /var/log/messages (9.94 KB, text/plain)
2007-06-11 19:17 UTC, Benny Amorsen
no flags Details

Description Benny Amorsen 2007-06-11 19:17:08 UTC
Description of problem:

When I boot my laptop, an HP nx8220 --
http://smolt.fedoraproject.org/show?UUID=bca3bdcf-1263-4846-bcb6-a38c8ff7a5c7
-- NetworkManager detects that the eth0 interface has link, even though it
actually doesn't (no cable plugged in). Therefore it fails to switch to the
wireless network.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-3.fc7


How reproducible:

Every boot

Comment 1 Benny Amorsen 2007-06-11 19:17:08 UTC
Created attachment 156749 [details]
Cut from /var/log/messages

Comment 2 Dan Williams 2007-11-01 00:59:38 UTC
Can you test with the latest kernel?  Also, when the cable is _un_plugged, can
you give the output of:

cat /sys/class/net/eth0/carrier

and 

cat /sys/class/net/eth1/carrier

Comment 3 Benny Amorsen 2007-11-01 21:49:01 UTC
The problem does not exist in kernel-2.6.23.1-41.fc8. The problem has been gone
for a while even in F7-kernels, but I am not sure exactly which kernel fixed it.

Comment 4 Dan Williams 2007-11-02 10:59:45 UTC
ok, thanks


Note You need to log in before you can comment on or make changes to this bug.